Subject: bug#37562: 26.2; Obsolete vt-control and vt100-led

From: Nicolas Semrau <[email-masked]>
Date: Fri, 8 Nov 2019 12:45:10 +0100

> There's no tangible benefit in obsoleting these tiny files.

So files like this will probably stay in the codebase indefinitely?

I am aware that they do not make Emacs "worse", performance-wise. I
just think linting files for those unused stone-age systems is
beneficial at least in the sense of alleviating a certain "museum
piece vibe" of Emacs.
Am Fr., 8. Nov. 2019 um 10:58 Uhr schrieb Eli Zaretskii <[email-masked]>:

> > From: Stefan Kangas <[email-masked]>
> > Date: Fri, 8 Nov 2019 01:02:35 +0100
> > Cc: [email-masked], [email-masked],
> >       Stefan Monnier <[email-masked]>
> >
> > Would it make sense to mark them as obsolete and if anyone complains
> > to create a new ELPA package for them instead?  We could even say in
> > NEWS that, in case anyone is still using this, we would appreciate it
> > if they reported back to emacs-devel or somesuch.  (I think I've seen
> > that being done once before, so there is some precedent.)
> >
> > My objective in writing this is to figure out a way forward for the
> > original request/suggestion, but I don't feel very strongly about it.
> > However, if we can't find a reasonable way to do this, or if we don't
> > want to, I think we're better off closing this as wontfix.
>
> I prefer the latter.  This issue is so minor that we've already
> invested way too much energy in it.  There's no tangible benefit in
> obsoleting these tiny files.
>